Results 1 to 4 of 4

Thread: Tumbleweed & Plasma 5.10.2

  1. #1

    Default Tumbleweed & Plasma 5.10.2

    I have Tumbleweed installed on four PC's: my laptop, my wife's desktop, and two old PC's (1 laptop, 1 desktop) that I keep updated for eventual give-away to needy individuals. For many months updating all four has been a breeze.

    My update process, via Yakuake, is pretty simple...
    sudo zypper ref
    sudo zypper lu
    sudo zypper up

    Three of the systems went through the Plasma 5.10.2 update process fine, but my wife's didn't - it's stuck on 5.10.1, seemingly with issues revolving around gcc7. Trying to piecemeal rectify this is likely beyond my non-mastery of all things Linux/Tumbleweed, and part of the problem may relate to this being a Kubuntu machine a few years back. /home was not erased, and perhaps some lingering crud is responsible.

    Short of doing a fresh install, is there some simple set of commands that would set things straight and enable me to get the offending PC up to snuff with Plasma?

  2. #2
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,852
    Blog Entries
    14

    Default Re: Tumbleweed & Plasma 5.10.2

    Tumbleweed should not be updated by 'zypper up' but
    Code:
    zypper dup --no-allow-vendor-change
    The simplest explanation is that TW is released over and over again as a distro release. See
    Code:
    cat /etc/os-release
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  3. #3

    Default Re: Tumbleweed & Plasma 5.10.2

    Thanks Knurpht. Going the 'zypper dup --no-allow-vendor-change' route brings up many problems because of having done all the 'up' updates prior to this time.

    Guess I have to bite the bullet: do a fresh install with a current snapshot on all systems, and then use 'dup' for all future updates.


    Quote Originally Posted by Knurpht View Post
    Tumbleweed should not be updated by 'zypper up' but
    Code:
    zypper dup --no-allow-vendor-change
    The simplest explanation is that TW is released over and over again as a distro release. See
    Code:
    cat /etc/os-release

  4. #4
    Join Date
    Feb 2016
    Location
    Berlin
    Posts
    357

    Default Re: Tumbleweed & Plasma 5.10.2

    > Guess I have to bite the bullet: do a fresh install with a current snapshot on all systems, and then use 'dup' for all future updates.


    you mean the no-allow-vendor-change causes lots of (too many) dialogues? [question] why not e.g. just do a straight dup, then straighten out other packages e.g. dup --from packman, then use the dup --no-allow-vendor-change for future updates?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •